UNBUFFER(1)

NAME
unbuffer - unbuffer output

SYNOPSIS
unbuffer program [ args ]

INTRODUCTION
unbuffer disables the output buffering that occurs when program output is redirected. For example, suppose you are watching the output from a fifo by running it through od and then more.
	od -c /tmp/fifo | more
You will not see anything until a full page of output has been produced. You can disable this automatic buffering as follows:
	unbuffer od -c /tmp/fifo | more

BUGS
The man page is longer than the program.

SEE ALSO
"Exploring Expect: A Tcl-Based Toolkit for Automating Interactive Programs" by Don Libes, O'Reilly and Associates, January 1995.

AUTHOR
Don Libes, National Institute of Standards and Technology